data {
  int N;
  int Micronuc[N];
  int Lineage_ID[N];
  int LN;
  int SCF[N];
  int RNF[N];
  int SIS2_3[N];
  int Stage_N[N];
}

parameters {
  real b0;
  real scf;
}

transformed parameters {
  real q[N];
  
  for (n in 1:N)
    q[n] = inv_logit(b0 + scf*SCF[n]);
}

model {
  for (n in 1:N)
    Micronuc[n] ~ bernoulli(q[n]);
}

generated quantities {
  real log_lik[N];
  real q_scf;
  real q_scf0;
  
  for (n in 1:N){
    log_lik[n] = bernoulli_lpmf(Micronuc[n] | q[n]);
  }

  q_scf = inv_logit(b0 + scf);
  q_scf0 = inv_logit(b0);

}
