data {
  int N;
  int Micronuc[N];
  int Lineage_ID[N];
  int LN;
  int SCF[N];
  int RNF[N];
  int SIS2_3[N];
  int Stage_N[N];
}

parameters {
  real b0;
}

transformed parameters {
  real q[N];
  
  for (n in 1:N)
    q[n] = inv_logit(b0);
}

model {
  for (n in 1:N)
    Micronuc[n] ~ bernoulli(q[n]);
}

generated quantities {
  real log_lik[N];
  real q_p;
  
  for (n in 1:N){
    log_lik[n] = bernoulli_lpmf(Micronuc[n] | q[n]);
  }
  q_p = inv_logit(b0);
}
