data {
  int N;
  int LN;
  int ExIDN;
  int ExID[N];
  int Stage_N[N];
  int SCF[N]; //
  int RNF[N]; // Repair/No Fusion
  int SIS2_3[N];
  // int SIS36[N];
  // int C48[N]; fixed
  int Micronuc[N];
  int<lower=1, upper=LN> Lineage_ID[N];
  real Int_duration[N];
}

parameters {
  real<lower=0> alpha;
  real micro;
  real scf;
  real rnf;
  real sis2_3;
  real stg;
  real b;
}

transformed parameters {
  real lambda[N];
  
  for (n in 1:N){
    lambda[n] = micro*Micronuc[n] + 
            scf*SCF[n] + 
            rnf*RNF[n] + 
            sis2_3*SIS2_3[n] + 
            stg*Stage_N[n] + 
            b;
  }
}

model {
  for (n in 1:N) {
    if (Int_duration[n]<1000){
      target += gamma_lpdf(Int_duration[n] | alpha, alpha/exp(lambda[n]));
    } else {
      target += gamma_lccdf(Int_duration[n]-1000 | alpha, alpha/exp(lambda[n]));
    }
  }
}

generated quantities {
  real log_lik[N];

  for (n in 1:N) {
    if (Int_duration[n]<1000){
      log_lik[n] = gamma_lpdf(Int_duration[n] | alpha, alpha/exp(lambda[n]));
    } else {
      log_lik[n] = gamma_lccdf(Int_duration[n]-1000 | alpha, alpha/exp(lambda[n]));
    }
  }
}

